#!/usr/bin/bash

export inipart=rb2iniparts
##inipart=debug # debug only
[ -d $inipart ] || mkdir $inipart
cd $inipart
items=`ls -l |grep -e ^"-r"|awk '{printf $NF":,"}'`backup,get,help
cd -
echo items $items


temp=$(getopt  -o q  --long $items -- "$@" )

# temp=$(getopt  --long backup,get,help,fmodel:,modes:,maps:,gamelen:,dates:,times:,name:,tgts:,tgtregsize:,tgtmanual:,tgtmanprog:,histplanes:,tgtswaptime:,lndmrkdens:,lndmrks:,regsize: -- "$@" )

# echo temp= $temp
echo  envir = $*
eval set -- "$temp"
echo after set= $*

## exit

showhelp=`echo $* |grep -c  -e "--help" `
## echo showhelp $showhelp # debug only


if [ $showhelp -gt 0 ]
then
echo help:
cat <<EOF

enclose multiple values in quotes or double quotes
separate multiple values with blank space

possible fields:
--fmodel <name> 
--modes  "advanced standard" ; = AFM or NFM
--maps "flanders verdun marne alsace island"
--gamelen <# seconds>
--times "now morning noon evening midnight random"
--dates "spring summer fall winter now" 
--nightrate speedup of clock 
--dayrate
--name "the name of your server" 
--tgts <filenames of list of tgts in maps for target progression >
--tgtregsize "small medium large full" ; 
 === target region size : from center, where targets will show in target area
 === not so sure this really works. tgtsize does work
--tgtmanual  0 or 1 
--tgtmanprog 0 or 1
--tgtswaptime # seconds
--histplanes  0 or 1
--regsize "small medium large full" ; size of target area in map
--lndmrkdens "sparse moderate dense full" 
--lndmrks  the lndmrks#.dat files. determine what the server offers on landmarks
--help or -h for this output


EOF


fi

if [ $1 = "--get" -o $1 = "--backup" ]
then

doit()
{
vars=""
# for item in fmodel modes maps gamelen times dates name tgts tgtregsize regsize lndmrkdens lndmrks
cd rb2iniparts
items=`ls -l |grep -e ^"-r"|awk '{print $NF}'`
cd -
for item in $items
do
vars=$vars" --$item "\"`cat rb2iniparts/$item`\"
done
cat <<EOF
rbset.sh $vars
EOF
} # eop doit
case $1 in
--get)
# doit
./rbprt.sh
;;
--backup)
now=`date +%Y.%m.%d.%H%M.%S`
doit >backup.`basename $PWD`.$now
ls -l backup.`basename $PWD`.$now
cat backup.`basename $PWD`.$now
;;
esac
exit  ## do not process anything ...
fi  # if --get or --backup

echo not get or backup or help


while [ ! "$1" = "--" ] 
do

echo \$1 = $1 \$2 = $2
# read -p " hit enter "
x=$1
y=${x##--}

if [ ${#x} -eq ${#y} ] 
then 
 item=$x #  a value 
 else
 selitem=$y # a selector variable
fi 

#  echo selitem = $selitem  x = $x y = $y

shift
# echo $selitem = \$1 value  = $1
echo $selitem : echo $1 into $inipart/$selitem
echo $1 > $inipart/$selitem

shift 1
#  read -p onzin ## debug only 
done
cat <<EOF

 +++++++  ATTENTION !!!! +++++++++
left over input : should be "--" only...
$*

EOF
echo "_____results_________________"
grep "" $inipart/* 2>/dev/null |grep -v -e txt -e templ

